# $EPIC: urldecode,v 1.4 2003/11/07 21:28:09 elmo Exp $
Synopsis:
   $urldecode(<url-encoded-text>)

Technical:
   * If the <url-encoded-text> argument is omitted the empty string 
     is returned.
   * Otherwise, the return function is a copy of <text>, except that all
     instances of the sequences on the right are replaced with the 
     corresponding character on the left, as noted:

	<space>		%20 		!		%21 
	"		%22		#		%23
	$		%24		%		%25
	&		%26		'		%27
	(		%28		)		%29
	*		%2A 		,		%2C
	/		%2F 		;		%3B
	<		%3C 		>		%3E
	?		%3F 		@		%40
	\		%5C		^		%5E
	`		%60		{		%7B
	|		%7C		}		%7D
	~		%7E

Practical:
   This can be used to de-mangle text that has been passed through 
   $urlencode().

Returns:
   The input <url-encoded-text> with url-encoded-sequences substituted 
   for the equivalent punctuation mark.

See Also:
    urlencode(6)
